local ok, web_devicons = pcall(require, "nvim-web-devicons")

if not ok then
	return
end

web_devicons.setup({
	override = {
		default_icon = {
			icon = " ",
			name = "Default",
		},
		zsh = {
			icon = " ",
			name = "Zsh",
		},
		c = {
			icon = " ",
			name = "c",
		},
		html = {
			icon = " ",
			name = "html",
		},
		css = {
			icon = " ",
			name = "css",
		},
		scss = {
			icon = " ",
			name = "scss",
		},
		sass = {
			icon = " ",
			name = "sass",
		},
		js = {
			icon = " ",
			name = "js",
		},
		ts = {
			icon = " ",
			name = "ts",
		},
		png = {
			icon = " ",
			name = "png",
		},
		jpg = {
			icon = " ",
			name = "jpg",
		},
		jpeg = {
			icon = " ",
			name = "jpeg",
		},
		mp3 = {
			icon = " ",
			name = "mp3",
		},
		mp4 = {
			icon = " ",
			name = "mp4",
		},
		out = {
			icon = " ",
			name = "out",
		},
		rb = {
			icon = " ",
			name = "rb",
		},
		vue = {
			icon = "﵂ ",
			name = "vue",
		},
		py = {
			icon = " ",
			name = "py",
		},
		toml = {
			icon = " ",
			name = "toml",
		},
		lock = {
			icon = " ",
			name = "lock",
		},
		zip = {
			icon = " ",
			name = "zip",
		},
		xz = {
			icon = " ",
			name = "xz",
		},
		deb = {
			icon = " ",
			name = "deb",
		},
		rpm = {
			icon = " ",
			name = "rpm",
		},
		lua = {
			icon = "",
			name = "lua",
		},
		txt = {
			icon = " ",
			name = "txt",
		},
		md = {
			icon = " ",
			name = "markdown",
		},
		graphql = {
			icon = " ",
			name = "graphql",
		},
		env = {
			icon = " ",
			name = "dotenvexample",
		},
		[".env.production"] = {
			icon = " ",
			name = "envprod",
		},
		[".env.development"] = {
			icon = " ",
			name = "envdev",
		},
		[".env.testing"] = {
			icon = " ",
			name = "envtest",
		},
		[".env.example"] = {
			icon = " ",
			name = "dotenvexample",
		},
		[".env"] = {
			icon = " ",
			name = "dotenv",
		},
		["docker-compose.yml"] = {
			icon = " ",
			name = "dockercompose",
		},
		[".dockerignore"] = {
			icon = " ",
			name = "dockerignore",
		},
		[".prettierignore"] = {
			icon = " ",
			name = "prettierignore",
		},
		[".prettierrc"] = {
			icon = " ",
			name = "prettier",
		},
		[".prettierrc.json"] = {
			icon = " ",
			name = "prettierjson",
		},
		[".prettierrc.js"] = {
			icon = " ",
			name = "prettierrcjs",
		},
		["prettier.config.js"] = {
			icon = " ",
			name = "prettierjsconfig",
		},
		[".prettier.yaml"] = {
			icon = " ",
			name = "prettieryaml",
		},
		["test.js"] = {
			icon = " ",
			name = "javascripttest",
		},
		["test.jsx"] = {
			icon = " ",
			name = "reactrest",
		},
		["test.ts"] = {
			icon = " ",
			name = "typescripttest",
		},
		["test.tsx"] = {
			icon = " ",
			name = "reacttypescripttest",
		},
		["spec.js"] = {
			icon = " ",
			name = "javascriptspectest",
		},
		["spec.jsx"] = {
			icon = " ",
			name = "reactspectest",
		},
		["spec.ts"] = {
			icon = " ",
			name = "typescriptspectest",
		},
		["spec.tsx"] = {
			icon = " ",
			name = "reacttypescriptspectest",
		},
		["yarn-error.log"] = {
			icon = " ",
			name = "yarnerrorlog",
		},
		["yarn.lock"] = {
			icon = " ",
			name = "yarnlock",
		},
		["package.json"] = {
			icon = "",
			name = "npm_packagejson",
		},
		[".gitignore"] = {
			icon = " ",
			name = "gitignore",
		},
		[".gitattributes"] = {
			icon = " ",
			name = "gitattributes",
		},
		["Dockerfile"] = {
			icon = " ",
			name = "dockerfilex",
		},
		[".nvmrc"] = {
			icon = " ",
			name = "nvmrc",
		},
		[".eslintrc.js"] = {
			icon = "ﯶ ",
			name = "eslintrcjs",
		},
		[".travis.yml"] = {
			icon = " ",
			name = "travis",
		},
		["babel.config.js"] = {
			icon = " ",
			name = "babelconfig",
		},
		[".commitlintrc.json"] = {
			icon = "ﰚ ",
			name = "commitlinrcjson",
		},
		woff = {
			icon = " ",
			name = "WebOpenFontFormat",
		},
		woff2 = {
			icon = " ",
			name = "WebOpenFontFormat2",
		},
	},
	default = true,
})
