# Programas
alias \
  v='$EDITOR' \
  x='xui' \
  m='neomutt' \
  z='zathura' \
  g='git' \
  vv='nvi' \
  bc='bc -iq' \
  se='doas nvim' \
  am='alsamixer' \
  pm='pulsemixer' \
  nb='newsboat -q' \
  py='python ' \
  irc='catgirl' \
  ytv='pipe-viewer' \
  vdf='nvim -d' \
  vkl='vkpurge list' \
  gdl='gallery-dl --zip -q' \
  sxiv='sxiv-rifle' \
  news='neomutt -G' \
  pyserv='python -m http.server' \
  manga='mangadesk_x64'

# XBPS
alias \
  xk='xbps-query' \
  deps='xbps-query -vRx' \
  revdeps='xbps-query -vRX' \
  xp='xbps-query -m > ~/.config/xbpaketes'

# Tmux
alias tmux='tmux -2'
if [[ -n $TMUX ]]; then
  alias txa='tmux switch-client -t'
else
  alias txa='tmux attach-session -t'
fi
alias \
  txn='tmux new-session -s' \
  txk='tmux kill-session -t' \
  txz='tmux kill-server'

# Transmission
alias \
  tsk='pkill transmission-da' \
  ts='transmission-remote' \
  tsl='transmission-remote --list'

# Dotfiles
alias \
  hxa='git add -v' \
  hxu='git add -vu' \
  hxc='git commit' \
  hxs='git status' \
  hxl='git log --stat' \
  hxd='git rm -r --cached' \
  hxr='git rm --cached'

# MAXIMUM VERBOSITY YIELDS MAXIMUM RESULTS
alias \
  chmod='chmod -v' \
  chown='chown -v' \
  mv='mv -iv' \
  rmdir='rmdir -v' \
  mkdir='mkdir -pv' \
  cp='cp -raiv' \
  rm='rm -Iv' \
  ln='ln -iv' \
  mount='mount -v' \
  umount='umount -v'

# Colores para pintar este twist
alias \
  diff='diff --color=auto' \
  ls='ls -AFt --color=always --group-directories-first' \
  grep='grep --color=tty -d skip' \
  dmesg='dmesg --color=always' \
  ip='ip -c' \

# Con opciones por defecto
alias \
  ll='ls -coghptFAB --group-directories-first --time-style=+"%d-%m-%Y %H:%M"' \
  sgrep='grep -R -n -H -C 5 --exclude-dir={.git,.svn,CVS}' \
  lsblk='lsblk -o "KNAME,HOTPLUG,SIZE,FSTYPE,TYPE,LABEL,MOUNTPOINT,UUID,MODEL,SERIAL"' \
  df='df -hT --total' \
  free='free -ht' \
  du='du -sh' \
  ping='ping -c 5' \
  dd='dd status=progress' \
  dfc='dfc -dmT' \
  wget='wget --no-hsts' \
  sol='ttysolitaire --no-background-color -p 10'

# Comandos
alias \
  sudo='doas ' \
  reboot='doas shutdown -r now' \
  shutdown='doas shutdown -h now' \
  path='echo -e ${PATH//:/\\n}' \
  wp='nsxiv ~/img/wallpaper >/dev/null 2>&1' \
  pwn='chmod +x' \
  rat='tar -xf' \
  um='udevil mount' \
  uu='udevil umount'
